// at serial console (115200) info is displayed after each cycle
//**************************************************************//
//  Name    : shiftOutCode                               
//  Author  : Henrik Bruun
//  Date    : 07 Oct, 2013    
//  Modified: N/A                               
//  Version : 1.0                                             
//  Notes   : Code for using a 3 pcs 74HC595 Shift Register           
//****************************************************************

//Pin connected to ST_CP of 74HC595
int latchPin = 8;
//Pin connected to SH_CP of 74HC595
int clockPin = 13;
////Pin connected to DS of 74HC595
int dataPin = 11;

int Out[] = {1, 2, 4, 8, 16, 32 , 64, 128};



void setup() {
  //set pins to output so you can control the shift register
  pinMode(latchPin, OUTPUT);
  pinMode(clockPin, OUTPUT);
  pinMode(dataPin, OUTPUT);
  Serial.begin(115200);
  Serial.println("reset");
}

void loop() {
  for (int reg = 1; reg < 4; reg++) {
    
  for (int numberToDisplay = 0; numberToDisplay < 8; numberToDisplay++) {
    // take the latchPin low so 
    // the LEDs don't change while you're sending in bits:
    digitalWrite(latchPin, LOW);
    // shift out the bits:
  
  if (reg == 1) {
    Serial.print("1-");
      shiftOut(dataPin, clockPin, MSBFIRST, 0); 
      shiftOut(dataPin, clockPin, MSBFIRST, 0); 
      shiftOut(dataPin, clockPin, MSBFIRST, Out[numberToDisplay]); 
    } 
    
     if (reg == 2) {
       Serial.print("2-");
      shiftOut(dataPin, clockPin, MSBFIRST, 0); 
      shiftOut(dataPin, clockPin, MSBFIRST, Out[numberToDisplay]); 
      shiftOut(dataPin, clockPin, MSBFIRST, 0); 
    } 
       if (reg == 3) {
         Serial.print("3-");
      shiftOut(dataPin, clockPin, MSBFIRST, Out[numberToDisplay]); 
      shiftOut(dataPin, clockPin, MSBFIRST, 0); 
      shiftOut(dataPin, clockPin, MSBFIRST, 0); 
    } 
    

    //take the latch pin high so the LEDs will light up:
    digitalWrite(latchPin, HIGH);
    // pause before next value:
  Serial.print(reg);
  Serial.print("-");
  Serial.println(Out[numberToDisplay]);
    delay(100);
  }
  
  
  }
}


 

